#

## Usage:

`meme-chip [options] [-db <motif database>]+ <sequences>`

## Description

MEME-ChIP performs several motif analysis steps on a set of DNA sequences that you provide. It is especially appropriate for analyzing the bound genomic regions identified in a transcription factor (TF) ChIP-seq experiment.

MEME-ChIP can

1. discover novel DNA-binding motifs,
2. analyze them for similarity to known binding motifs,
3. visualize the arrangement of the predicted motif sites in your input sequences,
4. detect very subtly enriched known motifs in your sequences, and
5. provide an estimate of the amount of binding of each novel motif to each of your sequences.

For further information on the purpose and workings of MEME ChIP see the tutorial.

## Input

A set of sequences in FASTA format. Ideally the sequences are about 100 base-pairs long and enriched for motifs. The immediate regions around individual ChIP-seq "peaks" from a transcription factor (TF) ChIP-seq experiment are ideal. There is no limit on the number of sequences you provide, and they may be longer (or shorter) than 100 base-pairs if you desire. (The suggested 100 base-pair size is based on the typical resolution of ChIP-seq peaks.) We recommend that you "repeat mask" your sequences, replacing repeat regions to the "N" character.

## Output

MEME ChIP runs each program in its analysis in a different folder in the output directory. A summary file (index.html) is created in the output directory which links to the results for each program.

## Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-o | <directory> | Create the directory and write output files in it. This option is not compatible with -oc as only one output directory is allowed. | The program behaves as if `-oc meme-chip_out` had been specified.
-oc | <directory> | Create the directory but if it already exists allow overwriting the contents. This option is not compatible with -o as only one output directory is allowed. | The program behaves as if `-oc meme-chip_out` had been specified.
-db | <file> | A database of DNA motifs in MEME format. This database will be used by TOMTOM and AME. This option may be used multiple times to pass multiple databases | When no databases are provided TOMTOM and AME are not run.
-bfile | <file> | A file specifying background frequencies which is passed to all the programs which take a background. | Each program's default background options are used.
-nmeme | <limit> | The upper bound on the number of sequences that are passed to MEME. This is required because MEME takes too long to run for very large sequence sets. | The number of sequences passed to MEME will be limited to 600.
-ccut | <size> | The maximum length of a sequence to use before it is trimmed to a central region of this size. | A maximum size of 100 is used.
-desc | <description> | A description of the MEME ChIP run which is displayed in the summary file. | No description is displayed in the summary file.
-fdesc | <file> | A file containing a description of the MEME ChIP run which will be included in the summary file. The summary file will try to preserve some of the formatting by presenting blocks of text separated by multiple new lines as different paragraphs and replacing single new line characters with line breaks. | No description is displayed in the summary file.
MEME Specific Options
-meme-mod | oops|zoops|anr | The number of motif sites that MEME will find per sequence. oops - One Occurrence Per Sequence, zoops - Zero or One Occurrence Per Sequence, anr - Any Number of Repetitions See -mod in the MEME command-line documentation. | MEME defaults to using zoops mode.
-meme-minw | <width> | The minimum motif width that MEME should find. | A minimum width of 6 is used unless the maximum width has been set to be less than 6 in which case the maximum width is used.
-meme-maxw | <width> | The maximum motif width that MEME should find. | A maximum width of 30 is used unless the minimum width has been set to be larger than 30 in which case the minimum width is used.
-meme-nmotifs | <num> | The number of motifs that MEME should search for. | MEME will find 3 motifs.
-meme-minsites | <sites> | The minimum number of sites that MEME needs to find for a motif. | MEME doesn't require any minimum number of sites for a motif.
-meme-maxsites | <sites> | The maximum number of sites that MEME will find for a motif. | MEME doesn't limit the number of sites it will find for a motif.
-meme-time | <seconds> | The maximum time that MEME runs for before printing what it has already found and giving up. | MEME doesn't limit the time it runs.
-meme-norevcomp |  | Should MEME search only the given strand? Note running MEME on the command-line has the option -revcomp which is the opposite to this option. This option is intended to replicate the default behavior of MEME run as a webservice. | MEME searches both the given strand and the complement.
-meme-pal |  | Restrict MEME to searching for palindromes only. Note that this option requires DNA, but then MEME ChIP only works with DNA anyway. | MEME searches for any motif not just palindromes.